LogManager (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.log.LogManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.log
Class LogManager

    java.lang.Object
      org.apache.tomcat.util.log.LogManager

public class LogManager
extends java.lang.Object

Allows the control the log properties at runtime. Normal applications will just use Log, without having to deal with the way the log is configured or managed.

Author:
  Alex Chaffee [alex@jguru.com], Costin Manolache

Field Summary
`protected java.util.Hashtable` | `channels`
`protected java.util.Hashtable` | `loggers`

Constructor Summary
`LogManager()`

Method Summary
`void` | `addChannel(java.lang.String name, LogHandler logH)`
`java.util.Hashtable` | `getChannels()`
`Log` | `getLog(java.lang.String channel, java.lang.String prefix, java.lang.Object owner)` Default method to create a log facade.
`java.util.Hashtable` | `getLoggers()`
`static void` | `setDefault(LogHandler l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loggers

    protected java.util.Hashtable loggers

### channels

    protected java.util.Hashtable channels

Constructor Detail

### LogManager

    public LogManager()

Method Detail

### getLoggers

    public java.util.Hashtable getLoggers()

### getChannels

    public java.util.Hashtable getChannels()

### setDefault

    public static void setDefault(LogHandler l)

### addChannel

    public void addChannel(java.lang.String name,
                           LogHandler logH)

### getLog

    public Log getLog(java.lang.String channel,
                      java.lang.String prefix,
                      java.lang.Object owner)

  Default method to create a log facade.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.